## org.apache.fop.image.analyser
Class AbstractImageReader

    java.lang.Object
      |
      +--org.apache.fop.image.analyser.AbstractImageReader

Direct Known Subclasses:
  BMPReader, GIFReader, JPEGReader, PNGReader, SVGReader, TIFFReader

public abstract class AbstractImageReader
extends java.lang.Object
implements ImageReader

Base class implementing ImageReader.

Version:
  1.0
Author:
  Pankaj Narula
See Also:
  `ImageReader`

Field Summary
`protected int` `height` Image height.
`protected java.io.BufferedInputStream` `imageStream` Image stream.
`protected int` `width` Image width.

Constructor Summary
`AbstractImageReader()`

Method Summary
`int` `getHeight()` Return the image height.
`java.io.BufferedInputStream` `getInputStream()` Return the used InputStream.
`abstract java.lang.String` `getMimeType()` Return correspondig mime type.
`int` `getWidth()` Return the image width.
`abstract boolean` `verifySignature(java.io.BufferedInputStream fis)` Verify image type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    protected int width

  Image width.

### height

    protected int height

  Image height.

### imageStream

    protected java.io.BufferedInputStream imageStream

  Image stream.

Constructor Detail

### AbstractImageReader

    public AbstractImageReader()

Method Detail

### verifySignature

    public abstract boolean verifySignature(java.io.BufferedInputStream fis)
                                     throws java.io.IOException

  Description copied from interface: ImageReader
  Verify image type.
  Specified by:
    verifySignature in interface ImageReader
  Tags copied from interface: ImageReader
  Parameters:
    `bis` - Image buffered input stream
  Returns:
    true if image type is the handled one
  Throws:
    java.io.IOException - io error

### getHeight

    public int getHeight()

  Description copied from interface: ImageReader
  Return the image height.
  Specified by:
    getHeight in interface ImageReader
  Tags copied from interface: ImageReader
  Returns:
    image height

### getWidth

    public int getWidth()

  Description copied from interface: ImageReader
  Return the image width.
  Specified by:
    getWidth in interface ImageReader
  Tags copied from interface: ImageReader
  Returns:
    image width

### getMimeType

    public abstract java.lang.String getMimeType()

  Description copied from interface: ImageReader
  Return correspondig mime type.
  Specified by:
    getMimeType in interface ImageReader
  Tags copied from interface: ImageReader
  Returns:
    image mime type

### getInputStream

    public java.io.BufferedInputStream getInputStream()

  Description copied from interface: ImageReader
  Return the used InputStream.
  Specified by:
    getInputStream in interface ImageReader
  Tags copied from interface: ImageReader
  Returns:
    BufferedInputStream used to verify image type

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.